From aa66a9411b6d698026033b6427f08b6c954babb3 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:33:32 -0400
Subject: [PATCH 01/32] xfconf: update to 4.13.8.

- Update common/shlibs for libxfconf-0.so.3
- glib-devel needs to be hostmakedepends for cross-compiling
---
 common/shlibs           | 2 +-
 srcpkgs/xfconf/template | 8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/common/shlibs b/common/shlibs
index 22c315708e6..f49e5937f7e 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -179,7 +179,7 @@ libnl-genl-3.so.200 libnl3-3.2.1_1
 libnl-cli-3.so.200 libnl3-3.2.1_1
 libreadline.so.8 libreadline8-8.0_1
 libhistory.so.8 libhistory8-8.0_1
-libxfconf-0.so.2 xfconf-4.9.1_1
+libxfconf-0.so.3 xfconf-4.13.7_1
 libxfce4util.so.7 libxfce4util-4.12.1_1
 libxfce4panel-1.0.so.4 xfce4-panel-4.9.2_1
 libxfce4panel-2.0.so.4 xfce4-panel-4.12.0_1
diff --git a/srcpkgs/xfconf/template b/srcpkgs/xfconf/template
index fb150ff36f1..10605f3d8d1 100644
--- a/srcpkgs/xfconf/template
+++ b/srcpkgs/xfconf/template
@@ -1,18 +1,18 @@
 # Template file for 'xfconf'
 pkgname=xfconf
-version=4.12.1
+version=4.13.8
 revision=1
 build_options="perl"
 build_style=gnu-configure
 configure_args="$(vopt_enable perl 'perl-bindings --with-perl-options=INSTALLDIRS=vendor')"
-hostmakedepends="pkg-config intltool"
-makedepends="dbus-glib-devel libxfce4util-devel $(vopt_if perl 'perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib')"
+hostmakedepends="pkg-config intltool glib-devel"
+makedepends="libxfce4util-devel $(vopt_if perl 'perl-ExtUtils-Depends perl-ExtUtils-PkgConfig perl-Glib')"
 short_desc="Xfce hierarchical (tree-like) configuration system"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2, LGPL-2.1"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/xfconf/${version%.*}/$pkgname-$version.tar.bz2"
-checksum=35f48564e5694faa54fdc180cd3268e16fc2352946a89a3c2fc12cbe400ada36
+checksum=55e2441c4ff78a7006fabb59647f7bc1f190cbb82327b93ba063ff624a896591
 
 xfconf-devel_package() {
 	depends="dbus-glib-devel ${sourcepkg}>=${version}_${revision}"

From 58902b9f356fb2a2c23323cd62c00eb4ba54ab35 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Tue, 2 Jul 2019 08:51:42 -0400
Subject: [PATCH 02/32] libxfce4util: update to 4.13.4.

Use gir build helper (for cross-compilation)
---
 srcpkgs/libxfce4util/template | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/libxfce4util/template b/srcpkgs/libxfce4util/template
index 6c2f3cf4a3b..9ebc4f45422 100644
--- a/srcpkgs/libxfce4util/template
+++ b/srcpkgs/libxfce4util/template
@@ -1,8 +1,9 @@
 # Template file for 'libxfce4util'
 pkgname=libxfce4util
-version=4.12.1
-revision=3
+version=4.13.4
+revision=1
 build_style=gnu-configure
+build_helper="gir"
 hostmakedepends="pkg-config intltool"
 makedepends="libglib-devel"
 short_desc="Utility library for the Xfce4 desktop environment"
@@ -10,7 +11,11 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/$pkgname/${version%.*}/$pkgname-$version.tar.bz2"
-checksum=876bdefa2e13cbf68b626b2158892fb93e824e1ef59cf951123a96cefbc8881d
+checksum=57dd4ba226432afdf98cea4700a4679bb1b57ce80713167f99fde50ad87d0863
+
+# Package build options
+build_options="gir"
+build_options_default="gir"
 
 libxfce4util-devel_package() {
 	depends="libglib-devel ${sourcepkg}>=${version}_${revision}"
@@ -19,6 +24,9 @@ libxfce4util-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove usr/share/gtk-doc
-		vmove usr/lib/*.so
+		vmove "usr/lib/*.so"
+		if [ "$build_option_gir" ]; then
+			vmove usr/share/gir-1.0
+		fi
 	}
 }

From a66d5dc5927b07382f5b780a615a1d5e2f937a3f Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:32:15 -0400
Subject: [PATCH 03/32] libxfce4ui: update to 4.13.6.

Use gir build helper (for cross-compilation)
---
 srcpkgs/libxfce4ui/template | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/libxfce4ui/template b/srcpkgs/libxfce4ui/template
index ac82ac043b3..558dc608995 100644
--- a/srcpkgs/libxfce4ui/template
+++ b/srcpkgs/libxfce4ui/template
@@ -1,24 +1,24 @@
 # Template file for 'libxfce4ui'
 pkgname=libxfce4ui
-version=4.12.1
-revision=3
+version=4.13.6
+revision=1
 build_style=gnu-configure
+build_helper="gir"
 configure_args="--disable-static"
 conf_files="/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml"
 hostmakedepends="xfce4-dev-tools pkg-config intltool glib-devel gettext-devel"
-makedepends="gtk+-devel gtk+3-devel libxfce4util-devel xfconf-devel dbus-glib-devel
+makedepends="gtk+-devel gtk+3-devel libxfce4util-devel xfconf-devel
  libxml2-devel startup-notification-devel libSM-devel"
 short_desc="Replacement of the old libxfcegui4 library"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=3d619811bfbe7478bb984c16543d980cadd08586365a7bc25e59e3ca6384ff43
+checksum=3c5e505ce56a5993db473efed9962705dd255ffaee17009ed1b3e9f40b543969
 
-pre_configure() {
-	mkdir m4
-	NOCONFIGURE=1 xdt-autogen
-}
+# Package build options
+build_options="gir"
+build_options_default="gir"
 
 libxfce4ui-devel_package() {
 	depends="${makedepends} ${sourcepkg}>=${version}_${revision}"
@@ -28,5 +28,8 @@ libxfce4ui-devel_package() {
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
 		vmove usr/share/gtk-doc
+                if [ "$build_option_gir" ]; then
+                        vmove usr/share/gir-1.0
+                fi
 	}
 }

From daf5cb8d0ec9196ae930b31409000f2d5d8cd051 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:36:47 -0400
Subject: [PATCH 04/32] libwnck: update to 3.32.0.

Switch to meson build style.
---
 srcpkgs/libwnck/template | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

diff --git a/srcpkgs/libwnck/template b/srcpkgs/libwnck/template
index 1775a4bc55d..83190d54f68 100644
--- a/srcpkgs/libwnck/template
+++ b/srcpkgs/libwnck/template
@@ -1,11 +1,11 @@
 # Template file for 'libwnck'
 pkgname=libwnck
-version=3.30.0
-revision=2
-build_style=gnu-configure
+version=3.32.0
+revision=1
+build_style=meson
 build_helper="gir"
-configure_args="$(vopt_enable gir introspection)"
-hostmakedepends="gdk-pixbuf-devel pkg-config intltool
+#configure_args="$(vopt_enable gir introspection)"
+hostmakedepends="gdk-pixbuf-devel pkg-config intltool glib-devel
  $(vopt_if gir gobject-introspection)"
 makedepends="startup-notification-devel gtk+3-devel libXres-devel"
 short_desc="Library for layout and rendering of text"
@@ -13,7 +13,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.1-or-later"
 homepage="http://www.gnome.org/"
 distfiles="${GNOME_SITE}/${pkgname}/${version%.*}/${pkgname}-${version}.tar.xz"
-checksum=ac6d0d2646aa80676d3066651e73abb7bff7ed79be238c9b21a0083e2adc3439
+checksum=9595835cf28d0fc6af5526a18f77f2fcf3ca8c09e36741bb33915b6e69b8e3ca
 
 build_options="gir"
 build_options_default="gir"
@@ -25,7 +25,6 @@ libwnck-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
-		vmove usr/share/gtk-doc
 		if [ "$build_option_gir" ]; then
 			vmove usr/share/gir-1.0
 		fi

From c74ebd6c86db372fbde953bf5b60019718fb0b62 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Tue, 2 Jul 2019 08:52:01 -0400
Subject: [PATCH 05/32] xfce4-dev-tools: update to 4.13.0.

---
 srcpkgs/xfce4-dev-tools/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/xfce4-dev-tools/template b/srcpkgs/xfce4-dev-tools/template
index 6e452ee4154..3fe83a41c70 100644
--- a/srcpkgs/xfce4-dev-tools/template
+++ b/srcpkgs/xfce4-dev-tools/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-dev-tools'
 pkgname=xfce4-dev-tools
-version=4.12.0
-revision=2
+version=4.13.0
+revision=1
 build_style=gnu-configure
 hostmakedepends="automake libtool gtk-doc intltool pkg-config"
 makedepends="libglib-devel"
@@ -11,4 +11,4 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=e2e3a654fe9110df81f8c2483c9cbfa6d656fed15d5e5e717d6ef10bd0f5b5cb
+checksum=d24d4db2151a35324c672d4596a6a256f7d92727fe6a9d23648ab53f5207ba3b

From c4c6a1c6efa2a49394a11eaff25fe3b173eccca6 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:37:52 -0400
Subject: [PATCH 06/32] xfce4-panel: update to 4.13.6.

Switch to libwnck, drop dbus-glib, use gir build helper (for cross-compilation)
---
 srcpkgs/xfce4-panel/template | 19 +++++++++++--------
 1 file changed, 11 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/xfce4-panel/template b/srcpkgs/xfce4-panel/template
index ee9c8d5aebc..5a3c55ba164 100644
--- a/srcpkgs/xfce4-panel/template
+++ b/srcpkgs/xfce4-panel/template
@@ -1,23 +1,23 @@
 # Template file for 'xfce4-panel'
 pkgname=xfce4-panel
-version=4.12.2
+version=4.13.6
 revision=1
 build_style=gnu-configure
+build_helper="gir"
 configure_args="--disable-static --enable-gio-unix --enable-gtk3"
 hostmakedepends="xfce4-dev-tools pkg-config intltool gettext-devel glib-devel"
 makedepends="gtk+3-devel libxfce4ui-devel xfconf-devel
- dbus-glib-devel libwnck2-devel garcon-devel exo-devel"
+ libwnck-devel garcon-devel exo-devel"
 short_desc="Next generation panel for the XFCE desktop environment"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://xfce.org/"
 license="GPL-2"
 distfiles="https://archive.xfce.org/src/xfce/$pkgname/${version%.*}/$pkgname-$version.tar.bz2"
-checksum=42058abb81b8f87691d3999627447de71c3285bcf055f308aab5cefab2de0ce9
+checksum=42411fee7675bb6fb3055395673dc925d43495df93b5e940a1ae3d0a3d2f63a8
 
-pre_configure() {
-	mkdir m4
-	NOCONFIGURE=1 xdt-autogen
-}
+# Package build options
+build_options="gir"
+build_options_default="gir"
 
 xfce4-panel-devel_package() {
 	depends="libxfce4ui-devel ${sourcepkg}>=${version}_${revision}"
@@ -26,6 +26,9 @@ xfce4-panel-devel_package() {
 		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove usr/share/gtk-doc
-		vmove usr/lib/*.so
+		vmove "usr/lib/*.so"
+                if [ "$build_option_gir" ]; then
+                        vmove usr/share/gir-1.0
+                fi
 	}
 }

From e9319fb4549abd9494b55e276b04b5a67efe7d56 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:40:46 -0400
Subject: [PATCH 07/32] xfdesktop: update to 4.13.5.

Switch to libwnck, drop dbus-glib
---
 srcpkgs/xfdesktop/template | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/xfdesktop/template b/srcpkgs/xfdesktop/template
index be1056cf50b..7fb2848f4c8 100644
--- a/srcpkgs/xfdesktop/template
+++ b/srcpkgs/xfdesktop/template
@@ -1,16 +1,15 @@
 # Template file for 'xfdesktop'
 pkgname=xfdesktop
-version=4.12.5
+version=4.13.5
 revision=1
 build_style=gnu-configure
-hostmakedepends="pkg-config intltool glib-devel dbus-glib-devel"
-# XXX Add Thunar-devel again once xfdesktop supports the new Thunarx-3 API
+hostmakedepends="pkg-config intltool glib-devel Thunar-devel"
 makedepends="libxfce4ui-devel exo-devel garcon-devel
- libnotify-devel libwnck2-devel"
+ libnotify-devel libwnck-devel"
 depends="hicolor-icon-theme desktop-file-utils"
 short_desc="Desktop manager for the Xfce Desktop Environment"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/xfdesktop/${version%.*}/$pkgname-$version.tar.bz2"
-checksum=3f2426ac28b94cfe5d6fd187c59b4e78f40e66c2842318e158ecd82abe2e7c0a
+checksum=b7d273d36f5f39a446c4d0303148bc595ed7b0f36269619c91526edd1d1caeb6

From 4be7ffe07643bf86d9b462a8dcc1be4d0467ce90 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:41:45 -0400
Subject: [PATCH 08/32] xfwm4: update to 4.13.3.

Switch to libwnck, add Xpresent
---
 srcpkgs/xfwm4/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/xfwm4/template b/srcpkgs/xfwm4/template
index 58d1cc533df..fa2f78ae03e 100644
--- a/srcpkgs/xfwm4/template
+++ b/srcpkgs/xfwm4/template
@@ -1,16 +1,16 @@
 # Template file for 'xfwm4'
 pkgname=xfwm4
-version=4.12.5
+version=4.13.3
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="libxfce4ui-devel startup-notification-devel
  libXcomposite-devel libXdamage-devel libXfixes-devel libXrandr-devel
- libXrender-devel dbus-glib-devel libwnck2-devel"
+ libXrender-devel libXpresent-devel libwnck-devel"
 depends="hicolor-icon-theme desktop-file-utils"
 short_desc="Next generation window manager for Xfce"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/xfwm4/${version%.*}/xfwm4-${version}.tar.bz2"
-checksum=7775c02216666c2d023275e7ed6d85e57d965e5cc1407bb6a05c53cc38d8caca
+checksum=12ad274f6662c8afee35fd9b9310e73bd462c423578d448b2d7353e3c8eda6c1

From c0deb78120252f2af06cd5cc2581725a39947da2 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:43:17 -0400
Subject: [PATCH 09/32] thunar-volman: revbump for xfconf

---
 srcpkgs/thunar-volman/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/thunar-volman/template b/srcpkgs/thunar-volman/template
index 15a066edaee..808725a915a 100644
--- a/srcpkgs/thunar-volman/template
+++ b/srcpkgs/thunar-volman/template
@@ -1,7 +1,7 @@
 # Template file for 'thunar-volman'
 pkgname=thunar-volman
 version=0.9.2
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="libgudev-devel libnotify-devel libxfce4ui-devel exo-devel"

From 8efe14fbf4e4c374f30df24ec738dbd4222b1d97 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:43:57 -0400
Subject: [PATCH 10/32] xfce4-settings: update to 4.13.7.

---
 srcpkgs/xfce4-settings/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/xfce4-settings/template b/srcpkgs/xfce4-settings/template
index 1944a3acf6e..7f122d774f5 100644
--- a/srcpkgs/xfce4-settings/template
+++ b/srcpkgs/xfce4-settings/template
@@ -1,6 +1,6 @@
 # Template file for 'xfce4-settings'
 pkgname=xfce4-settings
-version=4.12.4
+version=4.13.7
 revision=1
 build_style=gnu-configure
 configure_args="--enable-sound-settings --enable-pluggable-dialogs"
@@ -15,4 +15,4 @@ license="GPL-2.0-only"
 homepage="https://xfce.org/"
 changelog="https://raw.githubusercontent.com/xfce-mirror/xfce4-settings/master/NEWS"
 distfiles="https://archive.xfce.org/src/xfce/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=e2a04cad48bf9e951409d0c841829fa3b4ce632cd799082ef82d0506618b6f9b
+checksum=ac11391eee22cb5fbffe3342916bcf9805f29c722aca825c2f57d98dc167a065

From 9811a79b48cf41b7f4928b20bc9ca1c33bd4361e Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:44:21 -0400
Subject: [PATCH 11/32] xfce4-session: update to 4.13.3.

Switch to libwnck, drop dbus-glib, remove unnecessary --enable-upower
configure flag
---
 srcpkgs/xfce4-session/template | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

diff --git a/srcpkgs/xfce4-session/template b/srcpkgs/xfce4-session/template
index 6c4b9ecf265..eef01d28e3f 100644
--- a/srcpkgs/xfce4-session/template
+++ b/srcpkgs/xfce4-session/template
@@ -1,12 +1,12 @@
 # Template file for 'xfce4-session'
 pkgname=xfce4-session
-version=4.12.1
-revision=2
+version=4.13.3
+revision=1
 build_style=gnu-configure
-configure_args="--disable-static --enable-upower --enable-polkit"
+configure_args="--disable-static --enable-polkit"
 hostmakedepends="xfce4-dev-tools pkg-config intltool gettext-devel glib-devel iceauth"
-makedepends="libxfce4ui-devel dbus-glib-devel upower-devel
- libwnck2-devel xfce4-panel-devel libSM-devel polkit-devel"
+makedepends="libxfce4ui-devel upower-devel
+ libwnck-devel xfce4-panel-devel libSM-devel polkit-devel"
 depends="iceauth hicolor-icon-theme desktop-file-utils"
 conf_files="/etc/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-session.xml"
 short_desc="The session manager for the XFCE desktop environment"
@@ -14,22 +14,17 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/$pkgname/${version%.*}/$pkgname-$version.tar.bz2"
-checksum=97d7f2a2d0af7f3623b68d1f04091e02913b28f9555dab8b0d26c8a1299d08fd
+checksum=eaed34f29aa044d878d60dcb7293a542f48248919e3dcd8df98215121cb6d362
 
-pre_configure() {
-	mkdir m4
-	NOCONFIGURE=1 xdt-autogen
-}
 post_install() {
 	# startxfce4 needs bash.
 	replace_interpreter bash ${DESTDIR}/usr/bin/startxfce4
 }
 
 xfce4-session-devel_package() {
-	depends="libxfce4ui-devel>=4.12 ${sourcepkg}>=${version}_${revision}"
+	depends="libxfce4ui-devel>=4.13 ${sourcepkg}>=${version}_${revision}"
 	short_desc+=" - development files"
 	pkg_install() {
-		vmove usr/include
 		vmove usr/lib/pkgconfig
 		vmove "usr/lib/*.so"
 	}

From ab037ba566d01be3e6927bcd4941ab63d754421a Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:46:36 -0400
Subject: [PATCH 12/32] xfce4-appfinder: update to 4.13.4.

---
 srcpkgs/xfce4-appfinder/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/xfce4-appfinder/template b/srcpkgs/xfce4-appfinder/template
index 0ebe4dd92c7..ef75eb636b6 100644
--- a/srcpkgs/xfce4-appfinder/template
+++ b/srcpkgs/xfce4-appfinder/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-appfinder'
 pkgname=xfce4-appfinder
-version=4.12.0
-revision=3
+version=4.13.4
+revision=1
 build_style=gnu-configure
 configure_args="--enable-gtk3"
 hostmakedepends="pkg-config intltool"
@@ -12,4 +12,4 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=2ad4a58019a76a6b64a816050db25f96854917c2f2e89d6a9df6c18e6c84c567
+checksum=0f4de2a5e2875cfa2862fd73ba1d32fb798df71849f69e68cd28cdde1cf53a02

From bc039f09a4d99710143b1f34cbcb3f9a5d470474 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:47:16 -0400
Subject: [PATCH 13/32] xfce4-clipman-plugin: revbump for xfconf

---
 srcpkgs/xfce4-clipman-plugin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xfce4-clipman-plugin/template b/srcpkgs/xfce4-clipman-plugin/template
index 3d973e08e06..987a68f7d5f 100644
--- a/srcpkgs/xfce4-clipman-plugin/template
+++ b/srcpkgs/xfce4-clipman-plugin/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-clipman-plugin'
 pkgname=xfce4-clipman-plugin
 version=1.4.3
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="intltool pkg-config"
 makedepends="xfce4-panel-devel libXtst-devel qrencode-devel"

From 701510064770b03e56a84b4b0e075d621114591f Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:47:43 -0400
Subject: [PATCH 14/32] xfce4-notes-plugin: revbump for xfconf

---
 srcpkgs/xfce4-notes-plugin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xfce4-notes-plugin/template b/srcpkgs/xfce4-notes-plugin/template
index ce150733001..1df5d9776e8 100644
--- a/srcpkgs/xfce4-notes-plugin/template
+++ b/srcpkgs/xfce4-notes-plugin/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-notes-plugin'
 pkgname=xfce4-notes-plugin
 version=1.8.1
-revision=2
+revision=3
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="xfce4-panel-devel libunique1-devel"

From b2a5d6cfe789db76d22b0cb1e593e4b8fed6a02e Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:48:12 -0400
Subject: [PATCH 15/32] xfce4-notifyd: revbump for xfconf

---
 srcpkgs/xfce4-notifyd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xfce4-notifyd/template b/srcpkgs/xfce4-notifyd/template
index cc07838d602..65500dc824e 100644
--- a/srcpkgs/xfce4-notifyd/template
+++ b/srcpkgs/xfce4-notifyd/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-notifyd'
 pkgname=xfce4-notifyd
 version=0.4.4
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool glib-devel dbus-glib-devel"
 makedepends="libnotify-devel xfce4-panel-devel"

From b0a5994608340f29cffac814fbcf44389f95062f Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:49:24 -0400
Subject: [PATCH 16/32] mousepad: remove unnecessary makedepends on
 libxfce4ui-devel

---
 srcpkgs/mousepad/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/mousepad/template b/srcpkgs/mousepad/template
index 54160a9218e..f604781fb34 100644
--- a/srcpkgs/mousepad/template
+++ b/srcpkgs/mousepad/template
@@ -1,10 +1,10 @@
 # Template file for 'mousepad'
 pkgname=mousepad
 version=0.4.1
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="glib-devel intltool pkg-config"
-makedepends="gtksourceview-devel libxfce4ui-devel"
+makedepends="gtksourceview-devel"
 depends="desktop-file-utils hicolor-icon-theme"
 short_desc="Simple text editor for Xfce based on Leafpad"
 maintainer="Juan RP <xtraeme@voidlinux.org>"

From a147b5b408ed10b29ccf1e9fdf58b796b5f4ccda Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:50:10 -0400
Subject: [PATCH 17/32] orage: remove unnecessary makedepends on dbus-glib

---
 srcpkgs/orage/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/orage/template b/srcpkgs/orage/template
index c0a9f23c448..bd0b9fcb6eb 100644
--- a/srcpkgs/orage/template
+++ b/srcpkgs/orage/template
@@ -1,10 +1,10 @@
 # Template file for 'orage'
 pkgname=orage
 version=4.12.1
-revision=3
+revision=4
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool flex"
-makedepends="libical-devel libnotify-devel gtk+-devel dbus-glib-devel
+makedepends="libical-devel libnotify-devel gtk+-devel
  popt-devel xfce4-panel-devel libxfce4util-devel"
 depends="hicolor-icon-theme desktop-file-utils"
 short_desc="Simple calendar application for Xfce"

From 33f9dcc173fc10d8834dfb124cc427518e7d61b2 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:50:51 -0400
Subject: [PATCH 18/32] parole: revbump for xfconf

---
 srcpkgs/parole/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/parole/template b/srcpkgs/parole/template
index efd712729fe..82bdfe94511 100644
--- a/srcpkgs/parole/template
+++ b/srcpkgs/parole/template
@@ -1,7 +1,7 @@
 # Template file for 'parole'
 pkgname=parole
 version=1.0.2
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool glib-devel"
 makedepends="gst-plugins-base1-devel libnotify-devel taglib-devel libxfce4ui-devel"

From 9e85a4acc1e0b8b91e69592fbd806e6c81419e77 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:51:12 -0400
Subject: [PATCH 19/32] ristretto: revbump for xfconf

---
 srcpkgs/ristretto/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/ristretto/template b/srcpkgs/ristretto/template
index 38dbc735472..7e761eb7c57 100644
--- a/srcpkgs/ristretto/template
+++ b/srcpkgs/ristretto/template
@@ -1,7 +1,7 @@
 # Template file for 'ristretto'
 pkgname=ristretto
 version=0.8.4
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="intltool pkg-config"
 makedepends="exo-devel file-devel libexif-devel"

From 2950675236a493e3ea18cfd1c224807a1818c3d8 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:51:31 -0400
Subject: [PATCH 20/32] vala-panel-appmenu: update to 0.7.2

---
 srcpkgs/vala-panel-appmenu/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/vala-panel-appmenu/template b/srcpkgs/vala-panel-appmenu/template
index 47c8b247bba..fa197105c43 100644
--- a/srcpkgs/vala-panel-appmenu/template
+++ b/srcpkgs/vala-panel-appmenu/template
@@ -1,7 +1,7 @@
 # Template file for 'vala-panel-appmenu'
 pkgname=vala-panel-appmenu
-version=0.7.1
-revision=2
+version=0.7.2
+revision=1
 build_style=cmake
 configure_args="-DENABLE_XFCE=ON -DENABLE_VALAPANEL=ON
  -DENABLE_MATE=ON -DENABLE_JAYATANA=OFF -DENABLE_APPMENU_GTK_MODULE=ON"
@@ -15,8 +15,8 @@ short_desc="Global Menu for Vala Panel"
 maintainer="John Eira <john.eira@web.de>"
 license="LGPL-3.0-or-later"
 homepage="https://gitlab.com/vala-panel-project/vala-panel-appmenu"
-distfiles="https://gitlab.com/vala-panel-project/vala-panel-appmenu/uploads/c0f85b42a2a228ad8c3413357e02fb28/vala-panel-appmenu-${version}.tar.xz"
-checksum=54a1b4f6ceca63eb3b79facc4327424bdd82f0fe3b7c6139326dbe0ec0824dcc
+distfiles="https://gitlab.com/vala-panel-project/vala-panel-appmenu/uploads/57fe7a74b38180002154fbd6028075db/vala-panel-appmenu-${version}.tar.xz"
+checksum=80884ebd71b665da7a1eac67752596ecbb29d3a8dd9eee9a2e3212dfc0aab6ae
 
 post_install() {
 	if [ "$CROSS_BUILD" ]; then

From bffb54931ddc448bd9245c846f47df1db30c2ab6 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:52:06 -0400
Subject: [PATCH 21/32] xfce4-places-plugin: update to 1.8.0.

Remove unnecessary patch.
---
 .../patches/undefined-symbol.patch            | 69 -------------------
 srcpkgs/xfce4-places-plugin/template          |  6 +-
 2 files changed, 3 insertions(+), 72 deletions(-)
 delete mode 100644 srcpkgs/xfce4-places-plugin/patches/undefined-symbol.patch

diff --git a/srcpkgs/xfce4-places-plugin/patches/undefined-symbol.patch b/srcpkgs/xfce4-places-plugin/patches/undefined-symbol.patch
deleted file mode 100644
index a94d9ea706f..00000000000
--- a/srcpkgs/xfce4-places-plugin/patches/undefined-symbol.patch
+++ /dev/null
@@ -1,69 +0,0 @@
-From 94d583d0ba257cdc96cde5794ebb7d38001ae3a5 Mon Sep 17 00:00:00 2001
-From: Andrzej <ndrwrdck@gmail.com>
-Date: Tue, 7 Jul 2015 22:26:51 +0100
-Subject: [PATCH] Bug 11939:  xfce4-places-plugin 1.7.0 crashes with undefined
- symbol
-
-Patch from Fedora. Submitted by Kevin Fenzi.
----
- panel-plugin/model.h | 18 +++++++++---------
- 1 file changed, 9 insertions(+), 9 deletions(-)
-
-diff --git a/panel-plugin/model.h b/panel-plugin/model.h
-index 06d9d6f..043e391 100644
---- a/panel-plugin/model.h
-+++ b/panel-plugin/model.h
-@@ -36,13 +36,13 @@ struct _PlacesBookmarkAction
-     void        (*finalize) (PlacesBookmarkAction *self);
- };
- 
--inline PlacesBookmarkAction*
-+extern inline PlacesBookmarkAction*
- places_bookmark_action_create(gchar *label);
- 
--inline void
-+extern inline void
- places_bookmark_action_destroy(PlacesBookmarkAction*);
- 
--inline void
-+extern inline void
- places_bookmark_action_call(PlacesBookmarkAction*);
- 
- /* Places Bookmark */
-@@ -70,10 +70,10 @@ struct _PlacesBookmark
-     void                 (*finalize) (PlacesBookmark *self);
- };
- 
--inline PlacesBookmark*
-+extern inline PlacesBookmark*
- places_bookmark_create(gchar *label);
- 
--inline void
-+extern inline void
- places_bookmark_destroy(PlacesBookmark *bookmark);
- 
- /* Places Bookmark Group */
-@@ -86,16 +86,16 @@ struct _PlacesBookmarkGroup
-     gpointer    priv;
- };
- 
--inline GList*
-+extern inline GList*
- places_bookmark_group_get_bookmarks(PlacesBookmarkGroup*);
- 
--inline gboolean
-+extern inline gboolean
- places_bookmark_group_changed(PlacesBookmarkGroup*);
- 
--inline PlacesBookmarkGroup*
-+extern inline PlacesBookmarkGroup*
- places_bookmark_group_create();
- 
--inline void
-+extern inline void
- places_bookmark_group_destroy(PlacesBookmarkGroup*);
- 
- #endif
--- 
-2.6.4
-
diff --git a/srcpkgs/xfce4-places-plugin/template b/srcpkgs/xfce4-places-plugin/template
index b7f2d8ea2f6..1c1c952a16d 100644
--- a/srcpkgs/xfce4-places-plugin/template
+++ b/srcpkgs/xfce4-places-plugin/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-places-plugin'
 pkgname=xfce4-places-plugin
-version=1.7.0
-revision=3
+version=1.8.0
+revision=1
 build_style=gnu-configure
 hostmakedepends="intltool pkg-config"
 makedepends="exo-devel libglib-devel gtk+-devel libxfce4ui-devel libxfce4util-devel
@@ -11,6 +11,6 @@ maintainer="Steve Prybylski <sa.prybylx@gmail.com>"
 license="GPL-2.0-or-later"
 homepage="https://goodies.xfce.org/projects/panel-plugins/xfce4-places-plugin"
 distfiles="https://archive.xfce.org/src/panel-plugins/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=4175c614749abbb5bcf6f49c88125fb0dd36db69f4c374df23563907b16e2c3f
+checksum=7ba3f46f88c2845cbf413efeefaed29157f8b98571856c6e2bf35e4de5d8ecce
 patch_args="-Np1"
 

From 4bdcc13779fc03595bca9baf726a523cc67f4048 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:52:41 -0400
Subject: [PATCH 22/32] xfce4-power-manager: update to 1.6.3.

---
 srcpkgs/xfce4-power-manager/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/xfce4-power-manager/template b/srcpkgs/xfce4-power-manager/template
index 6b44f4d349f..80f1d396a80 100644
--- a/srcpkgs/xfce4-power-manager/template
+++ b/srcpkgs/xfce4-power-manager/template
@@ -1,6 +1,6 @@
 # Template file for 'xfce4-power-manager'
 pkgname=xfce4-power-manager
-version=1.6.1
+version=1.6.3
 revision=1
 build_style=gnu-configure
 configure_args="--disable-static"
@@ -12,4 +12,4 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/$pkgname/${version%.*}/$pkgname-$version.tar.bz2"
-checksum=1ea825452343b895566068018b6d5078608f8f46ce8075ba6bbb4b848f48656b
+checksum=debd8ac2409b5ac230593894b8bb668298f78bd12891623edbfc32ac87c64011

From 14692cbda277380f406ca43d240ef331594c5531 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:53:06 -0400
Subject: [PATCH 23/32] xfce4-pulseaudio-plugin: revbump for xfconf

---
 srcpkgs/xfce4-pulseaudio-plugin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xfce4-pulseaudio-plugin/template b/srcpkgs/xfce4-pulseaudio-plugin/template
index d54728002a6..0ff54c57d27 100644
--- a/srcpkgs/xfce4-pulseaudio-plugin/template
+++ b/srcpkgs/xfce4-pulseaudio-plugin/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-pulseaudio-plugin'
 pkgname=xfce4-pulseaudio-plugin
 version=0.4.1
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="gettext-devel xfce4-dev-tools"
 makedepends="libkeybinder3-devel libnotify-devel pulseaudio-devel xfce4-panel-devel"

From e7406f66d0e967702335a2a5ed278497721ad70e Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:53:28 -0400
Subject: [PATCH 24/32] xfce4-screensaver: revbump for xfconf

---
 srcpkgs/xfce4-screensaver/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xfce4-screensaver/template b/srcpkgs/xfce4-screensaver/template
index af2dba5fabf..aa45226a504 100644
--- a/srcpkgs/xfce4-screensaver/template
+++ b/srcpkgs/xfce4-screensaver/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-screensaver'
 pkgname=xfce4-screensaver
 version=0.1.4
-revision=1
+revision=2
 build_style=gnu-configure
 configure_args="--without-systemd --with-libgl --with-shadow --with-mit-ext
  --with-xf86gamma-ext --with-x --enable-pam"

From 990c0a2806153894ed3a26c238123bf0cea46b80 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:53:50 -0400
Subject: [PATCH 25/32] xfce4-screenshooter: update to 1.9.5.

---
 srcpkgs/xfce4-screenshooter/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/xfce4-screenshooter/template b/srcpkgs/xfce4-screenshooter/template
index 506544c58c3..860a1ee14d4 100644
--- a/srcpkgs/xfce4-screenshooter/template
+++ b/srcpkgs/xfce4-screenshooter/template
@@ -1,6 +1,6 @@
 # Template file for 'xfce4-screenshooter'
 pkgname=xfce4-screenshooter
-version=1.9.4
+version=1.9.5
 revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool glib-devel"
@@ -11,4 +11,4 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://goodies.xfce.org/projects/applications/xfce4-screenshooter"
 distfiles="https://archive.xfce.org/src/apps/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=c4f3225b3f73f1feb1869807b8b27aec4c32a3e9c2954915a5fb39d18d3a60f2
+checksum=bf35b5432cb920987c6d7ff193600e5dd4d73422b6aa02b4ec5288744053b38c

From 3071a77faeceaf14f72677e716c32af5d21d5763 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:54:20 -0400
Subject: [PATCH 26/32] xfce4-sensors-plugin: update to 1.3.92.

---
 srcpkgs/xfce4-sensors-plugin/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/xfce4-sensors-plugin/template b/srcpkgs/xfce4-sensors-plugin/template
index 4c5053fba55..96b8a00b3af 100644
--- a/srcpkgs/xfce4-sensors-plugin/template
+++ b/srcpkgs/xfce4-sensors-plugin/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-sensors-plugin'
 pkgname=xfce4-sensors-plugin
-version=1.3.0
-revision=2
+version=1.3.92
+revision=1
 build_style=gnu-configure
 configure_args="--disable-static"
 hostmakedepends="pkg-config intltool"
@@ -12,7 +12,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin"
 distfiles="https://archive.xfce.org/src/panel-plugins/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=b7a7834ca84f6751686fa2e20e0b44a2e68ece0cb2716792a765e03b92f65569
+checksum=3dc6643d2c064b7718badff44b948f8d410f00f13db197820b26ae38045f5112
 
 if [ "$CROSS_BUILD" ]; then
 	# Cannot detect these when cross compiling

From acf21efe2da9fab3223611ec0e2f33264ec59c71 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:55:52 -0400
Subject: [PATCH 27/32] xfce4-weather-plugin: update to 0.9.1.

---
 srcpkgs/xfce4-weather-plugin/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/xfce4-weather-plugin/template b/srcpkgs/xfce4-weather-plugin/template
index 8c3bab3185c..e6f9671ba6a 100644
--- a/srcpkgs/xfce4-weather-plugin/template
+++ b/srcpkgs/xfce4-weather-plugin/template
@@ -1,6 +1,6 @@
 # Template file for 'xfce4-weather-plugin'
 pkgname=xfce4-weather-plugin
-version=0.8.11
+version=0.9.1
 revision=1
 build_style=gnu-configure
 configure_args="--disable-upower"
@@ -12,5 +12,5 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://goodies.xfce.org/projects/panel-plugins/xfce4-weather-plugin"
 distfiles="https://archive.xfce.org/src/panel-plugins/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=0382ce99c0ad4424afe7096a354f301a9396d12807a0f2ab041912d6ab58145d
+checksum=7cdc18b8df759dee4ceaaf6ce303eff7fda48e247dbc26b78142929213506cfd
 lib32disabled=yes

From 7a127e7ee2676d91d3f1f9500047f4b002b5e68b Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:56:18 -0400
Subject: [PATCH 28/32] xfce4-windowck-plugin: update to 0.4.6.

---
 srcpkgs/xfce4-windowck-plugin/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/xfce4-windowck-plugin/template b/srcpkgs/xfce4-windowck-plugin/template
index 355ae97ad5d..5d897ba7154 100644
--- a/srcpkgs/xfce4-windowck-plugin/template
+++ b/srcpkgs/xfce4-windowck-plugin/template
@@ -1,17 +1,17 @@
 # Template file for 'xfce4-windowck-plugin'
 pkgname=xfce4-windowck-plugin
-version=0.4.4
-revision=2
+version=0.4.6
+revision=1
 build_style=gnu-makefile
 hostmakedepends="intltool xfce4-dev-tools exo-devel python3-devel glib-devel gettext-devel ImageMagick"
 makedepends="libwnck2-devel xfce4-panel-devel xorg-server-devel"
-depends="xfce4-panel>=4.10"
+depends="xfce4-panel>=4.13"
 short_desc="Puts the titlebar of a maximized window into a panel"
 maintainer="skurtix <skurtix@github.com>"
 homepage="https://github.com/cedl38/xfce4-windowck-plugin"
 license="GPL-3"
 distfiles="${homepage}/archive/v${version}.tar.gz"
-checksum=92b6c9e199d32cf96619c31e2cfac19e375575d581e78fa043f9f6a59c1df13f
+checksum=1643fa4a8bdbc401160fae6a132dcab89ed88d10231f84ed058f7a3e842763f7
 
 pre_configure() {
 	autogen_args="--prefix=/usr"

From 3075e0a35c5f4e918e45d3d2b29d5c7ff7c9bdf2 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Fri, 24 May 2019 11:56:43 -0400
Subject: [PATCH 29/32] xfce4-xkb-plugin: revbump for xfconf

---
 srcpkgs/xfce4-xkb-plugin/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/xfce4-xkb-plugin/template b/srcpkgs/xfce4-xkb-plugin/template
index 30ec3089bbb..d64ee2670ee 100644
--- a/srcpkgs/xfce4-xkb-plugin/template
+++ b/srcpkgs/xfce4-xkb-plugin/template
@@ -1,7 +1,7 @@
 # Template file for 'xfce4-xkb-plugin'
 pkgname=xfce4-xkb-plugin
 version=0.8.1
-revision=1
+revision=2
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="garcon-devel xfce4-panel-devel libxklavier-devel librsvg-devel libwnck-devel"

From 23a4ae04bc5adc063fc18a98bfcf16ccd7f7b5a4 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Tue, 2 Jul 2019 09:09:54 -0400
Subject: [PATCH 30/32] thunar-volman: update to 0.9.3.

---
 srcpkgs/thunar-volman/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/thunar-volman/template b/srcpkgs/thunar-volman/template
index 808725a915a..0d31e00202a 100644
--- a/srcpkgs/thunar-volman/template
+++ b/srcpkgs/thunar-volman/template
@@ -1,7 +1,7 @@
 # Template file for 'thunar-volman'
 pkgname=thunar-volman
-version=0.9.2
-revision=2
+version=0.9.3
+revision=1
 build_style=gnu-configure
 hostmakedepends="pkg-config intltool"
 makedepends="libgudev-devel libnotify-devel libxfce4ui-devel exo-devel"
@@ -12,4 +12,4 @@ license="GPL-2.0-or-later"
 homepage="https://xfce.org/"
 changelog="https://git.xfce.org/xfce/thunar-volman/plain/NEWS?h=${pkgname}-${version}"
 distfiles="https://archive.xfce.org/src/xfce/$pkgname/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=b944b4299b73d2ca79184922dfea49782e4849f5960e209def71ac700a92ff27
+checksum=29309091db8b0f08c5a727625cc470673134977d7966cae0392f131300f9d5e9

From b129ecb6de18f9113c050c79a5cc71d2edd106dd Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Tue, 2 Jul 2019 09:13:52 -0400
Subject: [PATCH 31/32] tumbler: update to 0.2.5.

---
 srcpkgs/tumbler/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/tumbler/template b/srcpkgs/tumbler/template
index f385ee3d43c..5c2bbc21394 100644
--- a/srcpkgs/tumbler/template
+++ b/srcpkgs/tumbler/template
@@ -1,6 +1,6 @@
 # Template file for 'tumbler'.
 pkgname=tumbler
-version=0.2.3
+version=0.2.5
 revision=1
 build_style=gnu-configure
 configure_args="--disable-gstreamer-thumbnailer"
@@ -12,7 +12,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-2.0-or-later"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/${pkgname}/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=d022e1bd1559fba33e4bf20fb053b219eca17676ebffb1ceb214fcd58a187d40
+checksum=6447697a861a4854f18348a4dc6aa8b7903a0f22c52350b793fab6bc6968d459
 
 CFLAGS="-I${XBPS_CROSS_BASE}/usr/include/freetype2"
 

From 4e5458ac39e4bc91473e7bb9e1f2c7d8fd14a6f5 Mon Sep 17 00:00:00 2001
From: Peter Bui <pbui@github.bx612.space>
Date: Tue, 2 Jul 2019 09:15:35 -0400
Subject: [PATCH 32/32] garcon: update to 0.6.3.

---
 srcpkgs/garcon/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/garcon/template b/srcpkgs/garcon/template
index 1c61229691d..8240d7b9a11 100644
--- a/srcpkgs/garcon/template
+++ b/srcpkgs/garcon/template
@@ -1,7 +1,7 @@
 # Template file for 'garcon'
 pkgname=garcon
-version=0.6.2
-revision=2
+version=0.6.3
+revision=1
 build_style=gnu-configure
 configure_args="--disable-static"
 hostmakedepends="pkg-config intltool gettext-devel glib-devel"
@@ -12,7 +12,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="LGPL-2.0-or-later"
 homepage="https://xfce.org/"
 distfiles="https://archive.xfce.org/src/xfce/garcon/${version%.*}/${pkgname}-${version}.tar.bz2"
-checksum=a87f09648ff10d45c524b3bfe618f18622bdd8b205589d35fed2f12d9c79c47c
+checksum=76b1fea531363e9c5e767f1899039b4fe854edf23f6c0f260807e5551f798401
 
 garcon-devel_package() {
 	depends="${sourcepkg}>=${version}_${revision} libxfce4ui-devel gtk+3-devel"
